"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UtxoFullBlock = void 0;
const managed_1 = require("../../utils/managed");
const BlockBase_1 = require("../BlockBase");
const TransactionBase_1 = require("../TransactionBase");
let UtxoFullBlock = class UtxoFullBlock extends BlockBase_1.UtxoBlock {
    constructor(data) {
        super(data);
        // Must be implemented in specific chain class
        this.transactionConstructor = TransactionBase_1.UtxoTransaction;
    }
    get transactions() {
        if (!this.data.tx)
            return [];
        const transactions = [];
        for (const txData of this.data.tx) {
            const modifiedTxData = Object.assign({ blockhash: this.stdBlockHash, time: this.unixTimestamp, confirmations: this.data.confirmations, blocktime: this.unixTimestamp }, txData);
            transactions.push(new this.transactionConstructor(modifiedTxData));
        }
        return transactions;
    }
};
UtxoFullBlock = __decorate([
    (0, managed_1.Managed)()
], UtxoFullBlock);
exports.UtxoFullBlock = UtxoFullBlock;
//# sourceMappingURL=UtxoFullBlock.js.map