"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.XrpNodeStatus = void 0;
const managed_1 = require("../../utils/managed");
const StatusBase_1 = require("../StatusBase");
let XrpNodeStatus = class XrpNodeStatus extends StatusBase_1.NodeStatusBase {
    get version() {
        return this.data.result.state.build_version;
    }
    /**
     * @docs https://xrpl.org/rippled-server-states.html
     */
    get state() {
        return this.data.result.state.server_state;
    }
    get isHealthy() {
        return ["connected", "syncing", "tracking", "full", "validating", "proposing"].includes(this.state);
    }
    get isSynced() {
        return ["full", "validating", "proposing"].includes(this.state);
    }
};
XrpNodeStatus = __decorate([
    (0, managed_1.Managed)()
], XrpNodeStatus);
exports.XrpNodeStatus = XrpNodeStatus;
//# sourceMappingURL=XrpStatus.js.map