import BN from "bn.js";
import { MCC } from "../..";
import { TransactionSuccessStatus } from "../../types";
import { AlgoTransactionTypeOptions, IAlgoGetTransactionRes, IAlgoIndexerAdditionalData } from "../../types/algoTypes";
import { AddressAmount, BalanceDecreasingProps, BalanceDecreasingSummaryResponse, PaymentSummaryProps, PaymentSummaryResponse, TransactionBase } from "../TransactionBase";
export declare class AlgoIndexerTransaction extends TransactionBase<IAlgoGetTransactionRes, IAlgoIndexerAdditionalData> {
    makeFull(client: MCC.ALGO): Promise<void>;
    get txid(): string;
    get stdTxid(): string;
    get hash(): string;
    get reference(): string[];
    get stdPaymentReference(): string;
    get unixTimestamp(): number;
    get sourceAddresses(): string[];
    get assetSourceAddresses(): (string | undefined)[];
    get receivingAddresses(): string[];
    get assetReceivingAddresses(): (string | undefined)[];
    get fee(): BN;
    get feeSignerTotalAmount(): AddressAmount;
    get spentAmounts(): AddressAmount[];
    get assetSpentAmounts(): AddressAmount[];
    get receivedAmounts(): AddressAmount[];
    get assetReceivedAmounts(): AddressAmount[];
    get type(): AlgoTransactionTypeOptions;
    get isNativePayment(): boolean;
    get currencyName(): string;
    get elementaryUnits(): BN;
    get successStatus(): TransactionSuccessStatus;
    paymentSummary(props: PaymentSummaryProps): Promise<PaymentSummaryResponse>;
    balanceDecreasingSummary(props: BalanceDecreasingProps): Promise<BalanceDecreasingSummaryResponse>;
}
//# sourceMappingURL=AlgoIndexerTransaction.d.ts.map