"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const src_1 = require("../../src");
const algoCreateConfig = {
    algod: {
        url: process.env.ALGO_ALGOD_URL || "",
        token: process.env.ALGO_ALGOD_TOKEN || "",
    },
    indexer: {
        url: process.env.ALGO_INDEXER_URL || "",
        token: process.env.ALGO_INDEXER_TOKEN || "",
    },
    apiTokenKey: process.env.FLARE_API_PORTAL_KEY || "",
};
describe(`Find some transaction`, async () => {
    let startBlock = 21880000;
    let MccClient;
    before(async function () {
        MccClient = new src_1.MCC.ALGO(algoCreateConfig);
        startBlock = await MccClient.getBottomBlockHeight();
    });
    it.skip(`Find first clawback transaction`, async () => {
        let found = false;
        // eslint-disable-next-line no-constant-condition
        while (true) {
            const block = await MccClient.getBlock(startBlock);
            console.log(startBlock);
            for (const tran of block.transactions) {
                if (tran.data.asnd) {
                    found = true;
                }
            }
            if (found) {
                break;
            }
            startBlock += 1;
        }
    });
    it.skip(`Find first transaction that has assetCloseTo `, async () => {
        let found = false;
        // eslint-disable-next-line no-constant-condition
        while (true) {
            const block = await MccClient.getBlock(startBlock);
            for (const tran of block.transactions) {
                if (tran.data.aclose) {
                    found = true;
                }
            }
            if (found) {
                break;
            }
            startBlock += 1;
        }
    });
    it.skip(`Find transaction by id `, async () => {
        const tx = await MccClient.getIndexerTransaction("U4FSAOPM7HPI2TT3NXKPS537MZVGC2RBSZLCH7N6UIR5H6Z4Z2VQ");
        console.log(tx);
        console.log(tx === null || tx === void 0 ? void 0 : tx.data.transaction.assetTransferTransaction);
    });
    it.skip(`Find first transaction base `, async () => {
        let found = false;
        // eslint-disable-next-line no-constant-condition
        while (true) {
            const block = await MccClient.getBlock(startBlock);
            //  console.log(startBlock);
            for (const tran of block.transactions) {
                if (tran.data.aclose) {
                    console.log(tran.txid);
                    console.log(startBlock);
                    console.log(tran.data);
                    found = true;
                    const tx = await MccClient.getIndexerTransaction(tran.txid);
                    console.log(tx);
                    console.log(tx === null || tx === void 0 ? void 0 : tx.data.transaction.assetTransferTransaction);
                }
            }
            if (found) {
                break;
            }
            startBlock += 1;
        }
    });
});
// wrong
// B3EBGK2FPPZ7UY7SHP6H4TA4SO4C2NTTGM7ERHMWNZSZSFWONRJA
// 21797543
//# sourceMappingURL=find.test.js.map