"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../../src/index");
const chai_1 = require("chai");
const public_url = "https://s1.ripple.com:51234";
const XRPMccConnection = {
    url: process.env.XRP_URL || "",
    username: process.env.XRP_USERNAME || "",
    password: process.env.XRP_PASSWORD || "",
    apiTokenKey: process.env.FLARE_API_PORTAL_KEY || "",
};
describe("XRP ripple client tests", () => {
    describe("Should initialize", function () {
        it("Direct initialize", async function () {
            const client = new index_1.MCC.XRP(XRPMccConnection);
            (0, chai_1.expect)(client).to.not.eq(null);
        });
        it("Client initialize", async function () {
            const client = index_1.MCC.Client("XRP", XRPMccConnection);
            (0, chai_1.expect)(client).to.not.eq(null);
        });
    });
    it(`should get block height from public network`, async function () {
        const XRP = new index_1.MCC.XRP({ url: public_url });
        const a = await XRP.getBlockHeight();
        (0, chai_1.expect)(a).to.greaterThan(68100602);
    });
    it(`should get block height from testnet network`, async function () {
        const XRP = new index_1.MCC.XRP({ url: public_url });
        const a = await XRP.getBlockHeight();
        (0, chai_1.expect)(a).to.greaterThan(0);
    });
    it(`should get block height from devnet network`, async function () {
        const XRP = new index_1.MCC.XRP({ url: public_url });
        const a = await XRP.getBlockHeight();
        (0, chai_1.expect)(a).to.greaterThan(0);
    });
});
//# sourceMappingURL=xrpClient.test.js.map